/*
 Styles only for Pattern Lab view
*/

#sg-patterns {
    -webkit-box-sizing: border-box !important;
    box-sizing: border-box !important;
    max-width: 100%;
    padding: 0 .5em
}

/* Colors */
.sg-colors__section {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    list-style: none !important;
    margin: 0 !important;
    padding: 0 !important
}

.sg-colors__item {
    -webkit-box-flex: 1;
    border: 1px solid #ddd;
    border-radius: 8px;
    -ms-flex: auto;
    flex: auto;
    margin: 0 0 .5em;
    min-width: 5em;
    padding: .3em
}

.sg-colors__view {
    border-radius: 5px;
    display: block;
    height: 4em;
    margin-bottom: .3em
}

.sg-colors__label {
    font-size: 90%;
    line-height: 1
}

/* Container */
.sg-container__bg {
    background-color: #fd7e14;
}

.sg-container__col {
    background-color: #eee;
    padding: 1rem 0;
    text-align: center
}

/* Fonts */
.sg-font__head {
    line-height: 1;
}

.sg-font__head:after {
    color: #8c8c8c;
    font-size: 70%;
    margin-left: 1rem
}

.sg-font__head--sans:after {
    content: 'font-family: "Lato", "Helvetica Neue", "Noto Sans", "Liberation Sans", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji"'
}

.sg-font__head--mono:after {
    content: 'font-family: "SFMono-Regular, Menlo, Monaco, Consolas, Liberation Mono, Courier New, monospace"'
}

.sg-font__sans {
    font-family: "Lato", sans-serif;
}
.sg-font__sans--bold {
    font-family: "Lato", sans-serif;
    font-weight: 700;
}

.sg-font__mono {
    font-family: SFMono-Regular, Menlo, Monaco, Consolas, Liberation Mono, Courier New, monospace
}

/* Icons */
.sg-icons .col {
    margin-bottom: 2rem
}

.sg-icons__inner {
    border: 1px solid #ccc;
    height: 100%;
    padding: 1rem
}

.sg-icons i {
    color: var(--bs-dark);
    font-size: 4rem
}

/* Animation */
.sg-animation__list {
    margin: 3rem;
    text-align: center
}

.sg-animation__callout {
    align-items: center;
    display: flex;
    flex-direction: column;
    height: 80vh;
    justify-content: center;
    margin: auto 3rem
}

.sg-animation__callout .item {
    color: #6f42c1;
    font-weight: 700;
    margin: 1rem;
    opacity: 0
}

.sg-animation .display-1 {
    color: #d63384;
    font-weight: 700
}

/* Forms (atoms) */
.sg-check {
    margin-left: 0
}

/* Waypoint */
.sg-waypoint {
    margin-top: 500px;
    margin-bottom: 500px;
}

.sg-waypoint__item {
    margin: 500px 0;
    min-height: 100px;
    text-align: center;
}

header.sg-preview {
    opacity: 1;
}

main.sg-preview {
    min-height: 200rem;
    background-color: #ccc;
}
